Get users
Retrieve all users.
Documentation Index
Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
Use this file to discover all available pages before exploring further.
Supported integrations
Supported integrations
Workday
SAP SuccessFactors
SmartRecruiters
Oracle Recruiting Cloud
Lever
iCIMS
Recruitee
RecruiterFlow
Greenhouse
Greenhouse (V3)
Teamtailor
Ashby
CEGID TalentSoft FrontOffice
Talention
Onlyfy
Personio
UKG Pro
UKG Ready
ADP Workforce Now
Oracle Taleo
BambooHR
Bullhorn
Bullhorn Login
Workable
Jobvite
Fountain
Softgarden
Pinpoint
d.vinci
d.vinci admin
JOIN
TRAFFIT
Abacus Umantis
Haufe Umantis
Jobylon
HR WORKS
OTYS
Zoho Recruit
Ceipal
Eploy
JobDiva
CareerPlug
Eightfold
Paycor
Phenom
RECRU
Recruit CRM
JazzHR
Carerix
InRecruiting by Zucchetti
JobAdder
Ubeeo
Connexys By Bullhorn
HR4YOU
Cornerstone OnDemand
Gem
Mercury
Crelate
Manatal
Asymbl
Breezy HR
Digital Recruiters
Kombo Sandbox
Spott
Loxo
Kula
(id IN ids) AND (remote_id IN remote_ids)Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.
The number of results to return per page. Maximum is 250.
1 <= x <= 250Filter the entries based on the modification date in format YYYY-MM-DDTHH:mm:ss.sssZ. Returns records where either the record itself OR its nested data has been updated since this timestamp, even if the record's own changed_at field remains unchanged.
If you want to track entry deletion, also set the include_deleted=true query parameter, because otherwise, deleted entries will be hidden.
For more details, see Understanding changed_at vs updated_after Behavior.
For this endpoint, updated_after matches when the returned record changed, or when related data changed as described below.
| Path | Added/Removed | Linked Record |
|---|---|---|
system_role_assignment | ✓ Yes | ✓ Yes |
Added/Removed: Whether adding or removing entries from this list triggers an update (n/a for single records). Linked Record: Whether changes to the linked record itself trigger an update.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$By default, deleted entries are not returned. Use the include_deleted query param to include deleted entries too.
true, false When set to true, filters targeting fields not supported by this integration will be ignored instead of filtering out all results.
true, false Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of remote IDs.
Filter by a comma-separated list of emails. We will only return users who have any of the emails. The format of the emails is case-insensitive.
Response
GET /ats/users Positive response
"success"{
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@kombo.dev",
"status": "ACTIVE",
"remote_data": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"system_roles": [
{
"remote_id": "32",
"remote_label": "Hiring Manager",
"scope": "JOB",
"unified_type": "HIRING_MANAGER"
}
]
}
]
}